Skip to main content
PATCH
/
v4
/
knowledge-base-data-sources
/
{knowledge_base_data_source_id}
Python
import os
from scale_gp import SGPClient

client = SGPClient(
    api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
)
knowledge_base_data_source = client.knowledge_base_data_sources.update(
    knowledge_base_data_source_id="knowledge_base_data_source_id",
)
print(knowledge_base_data_source.id)
package main

import (
"context"
"fmt"

"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)

func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
knowledgeBaseDataSource, err := client.KnowledgeBaseDataSources.Update(
context.TODO(),
"knowledge_base_data_source_id",
sgp.KnowledgeBaseDataSourceUpdateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", knowledgeBaseDataSource.ID)
}
curl --request PATCH \
--url https://api.egp.scale.com/v4/knowledge-base-data-sources/{knowledge_base_data_source_id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"data_source_auth_config": {
"source": "<string>",
"client_secret": "<string>",
"encrypted": false
},
"tagging_information": {
"type": "all",
"tags_to_apply": {}
}
}
'
const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
data_source_auth_config: {source: '<string>', client_secret: '<string>', encrypted: false},
tagging_information: {type: 'all', tags_to_apply: {}}
})
};

fetch('https://api.egp.scale.com/v4/knowledge-base-data-sources/{knowledge_base_data_source_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "<string>",
  "data_source_config": {
    "source": "<string>",
    "s3_bucket": "<string>",
    "aws_region": "<string>",
    "aws_account_id": "<string>",
    "s3_prefix": ""
  },
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by_user_id": "<string>",
  "account_id": "<string>",
  "description": "<string>",
  "tagging_information": {
    "type": "all",
    "tags_to_apply": {}
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Path Parameters

knowledge_base_data_source_id
string
required

Body

application/json
name
string
description
string
data_source_auth_config
SharePoint DataSource Auth Config · object
tagging_information
TaggingInformationAll · object

Response

Successful Response

name
string
required
data_source_config
S3 DataSource Config · object
required
id
string
required

The unique identifier of the entity.

created_at
string<date-time>
required

The date and time when the entity was created in ISO format.

updated_at
string<date-time>
required

The date and time when the entity was last updated in ISO format.

created_by_user_id
string
required

The user who originally created the entity.

created_by_identity_type
enum<string>
required

The type of identity that created the entity.

Available options:
user,
service_account
account_id
string
required

The ID of the account that owns the given entity.

description
string
tagging_information
TaggingInformationAll · object